if not EJBAEnabled then return end
if LuaNetworking:IsMultiplayer() and LuaNetworking:IsClient() then return end

local callreasons = {
	alarm_pager_bluff_failed = 1,
	alarm_pager_not_answered = 1,
	alarm_pager_hang_up = 1,
	met_criminal = 1,
	mot_criminal = 1,
	sys_police_alerted = 1,
	sys_gensec = 1,
	gls_alarm = 1
}



local on_police_called = GroupAIStateBase.on_police_called
local set_whisper_mode = GroupAIStateBase.set_whisper_mode
local init = GroupAIStateBase.init

function GroupAIStateBase:on_ecm_disabled(event, key, data)
	if self.inlinedReason and not self:is_ecm_jammer_active("pager") then
		self:force_call(self.inlinedReason)
		self:force_whisper(false)
		self:_clear_criminal_suspicion_data()
		self.inlinedReason = nil
	end
end

function GroupAIStateBase:init(...)
	init(self, ...)
	managers.mission:add_global_event_listener({}, {
		"ecm_jammer_off"
	}, callback(self, self, "on_ecm_disabled"))
end
function GroupAIStateBase:on_police_called(reason, ...)
	reasonK = type(reason) == "string" and reason or "default"
	reasonV = callreasons[reasonK]
	if self:is_ecm_jammer_active("pager") and not reasonV then return 
	elseif reasonV == 1 then
		self.inlinedReason = reasonK
		return
	end

	self:force_call(reason, ...)
	self:force_whisper(false)
	self:_clear_criminal_suspicion_data()
end

function GroupAIStateBase:force_call(...)
	on_police_called(self, ...)
end

function GroupAIStateBase:force_whisper(...)
	set_whisper_mode(self, ...)
end

function GroupAIStateBase:set_whisper_mode(enabled, ...)
	enabled = enabled and true or false
	if self:is_ecm_jammer_active("pager") and not enabled then return end
	self:force_whisper(enabled, ...)
	self:_clear_criminal_suspicion_data()
end